.wrapper {
    height: 100%;
    position: relative;
    overflow-x: hidden;
    overflow-y: hidden;
}

.pdf-icon {
    font-size: 100%;
    box-sizing: border-box;
    display: block;
    position: relative;
    width: 5em;
    height: 6em;
    background-color: #eee;
    background-image: url("pdf.png");
    background-repeat: no-repeat;
    background-size: 60% auto;
    background-position: center 2em;
    border-radius: 1px 2em 1px 1px;
    border: 1px solid #ddd;
}

pdf-icon::after {
    content: "PDF";
    font-family: Arial;
    font-weight: bold;
    font-size: 1.2em;
    text-align: center;
    padding: 0.2em 0 0.1em;
    color: white;
    display: block;
    position: absolute;
    top: 0.7em;
    left: -1.5em;
    width: 3.4em;
    height: auto;
    background: #da2525;
    border-radius: 2px;
}

/* scroll to top */
#scroll {
    position: fixed;
    right: 10px;
    bottom: 10px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    background-color: #3498db;
    text-indent: -9999px;
    display: none;
    -webkit-border-radius: 60px;
    -moz-border-radius: 60px;
    border-radius: 60px;
}

#scroll span {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -8px;
    margin-top: -12px;
    height: 0;
    width: 0;
    border: 8px solid transparent;
    border-bottom-color: #ffffff;
}

#scroll:hover {
    background-color: #e74c3c;
    opacity: 1;
    filter: "alpha(opacity=100)";
    -ms-filter: "alpha(opacity=100)";
}

/* end of scroll to top */

.table-fit {
    width: 1px;
}

table.table-bordered > thead > tr > th {
    font-weight: normal;
}

table td {
    white-space: nowrap !important;
}

th {
    /* font-size: 15px; */
    text-align: center;
    /* align:"center"; */
}

.select2-selection__rendered {
    text-align: left;
    margin-top: -7px !important;
    margin-left: -7px;
}

.customTable thead tr th,
.customTable tfoot tr th,
.customTable tbody tr td {
    font-size: 15px;
}

.customTable thead,
.customTable tfoot {
    background-color: lightblue;
}

.customTable th {
    border-top: 1px solid rgb(117, 117, 117) !important;
    border-left: 1px solid rgb(117, 117, 117) !important;
    border-right: 1px solid rgb(117, 117, 117) !important;
    border-bottom: 1px solid rgb(117, 117, 117) !important;
    font-weight: bold;
}

.customTable td {
    padding: 10px;
    border-bottom: 1px solid rgb(117, 117, 117) !important;
    /* border-top: 1px solid black !important; */
    border-left: 1px solid rgb(117, 117, 117) !important;
    border-right: 1px solid rgb(117, 117, 117) !important;
    border-collapse: collapse;
}

.customTable thead th,
.customTable tfoot th {
    font-weight: bold !important;
}

.customTable tbody tr td {
    border-color: #ddd;
}

.customTable tbody tr:hover {
    background-color: #ddd;
}

.customTable tbody tr td {
    padding-top: 2px;
    padding-bottom: 2px;
}

.customTableDetail thead > tr > th {
    padding-right: 5px !important;
    padding-left: 5px !important;
    text-align: center;
}

.customspan {
    color: #a94442;
    margin-left: 13px;
}

.table-Detail thead tr th {
    font-weight: bold !important;
    background: lightblue;
    border: 1px solid;
}

.table-Detail tbody tr td {
    border: 1px solid;
}

.table-Detail {
    border: 1px solid;
}

.select2-container--open .select2-dropdown--below {
    width: auto !important;
    max-width: 820px !important;
    /* max-width: 550px !important; */
    min-width: 249.141px;
    white-space: nowrap;
}

.customSelect2xs .select2-container {
    width: 110px !important;
}

.customSelect2Lg .select2-container {
    width: 180px !important;
}

.tableModal > tbody > tr > th {
    height: 35px;
}

.tableModalDetail > tbody > tr > th,
.tableModalDetail > tbody > tr > td {
    height: 30px;
    border: 1px solid black;
}

.main-header {
    position: fixed;
    width: 100%;
    z-index: 1500;
}
/* koko */
.main-sidebar {
    position: fixed;
    /* height: 100px;
    overflow-y: auto;
    overflow-x: hidden;  */
}

.content-header {
    top: 45px;
    position: fixed;
    z-index: 1499;
    width: 97%;
    border-bottom: 3px solid #d2d6de;
    padding-bottom: 6px;
    background: white !important;
    margin-left: 4px;
}

.box-content {
    margin-top: 36px;
    padding-top: 50px;
    border-top: none;
    /* height:90vh !important; */
}

.box-filter {
    margin-top: 10px;
    top: 50px;
    border-top: none;
}

.dataTables_scrollBody {
    height: none !important;
}

.breadcrumb {
    position: fixed !important;
    margin-top: 45px !important;
}

.table-filter > tbody > tr > td {
    padding-top: 0px;
    padding-bottom: 5px;
}

.table-filter {
    margin-bottom: 5px;
    margin-left: -3px;
}

.customInputXg {
    height: 28px;
    border-radius: 4px !important;
    border-color: #a5a5a0;
    width: 390px !important;
}

.customInputLg {
    height: 28px;
    border-radius: 4px !important;
    border-color: #a5a5a0;
    width: 270px !important;
}

.customSelect2sm .select2-container {
    width: 145px !important;
}

.customSelect2md .select2-container {
    width: 180px !important;
    /* height: 15px !important; */
}

.customSelect2dp .select2-container {
    width: 160px !important;
}

.customSelect2nrsm .select2-container {
    width: 200px !important;
}

.customSelect2lunas .select2-container {
    width: 220px !important;
}

.customSelect2data .select2-container {
    width: 270px !important;
}

.customSelect2aso .select2-container {
    width: 300px !important;
}

.customSelect2jnsusaha .select2-container {
    width: 325px !important;
}

.customSelect2timprod .select2-container {
    width: 400px !important;
}

.customInput {
    width: 100px !important;
    height: 28px;
    border-radius: 4px !important;
    border-color: #a5a5a0;
}

.has-error-select > .select2 > .selection > .select2-selection--single {
    border-color: #a94442;
}

.has-error select + .select2-container .select2-selection--single {
    border-color: #a94442;
}

.has-error-select > .help-block {
    color: #a94442;
}

.image-upload > input {
    -webkit-appearance: none;
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    cursor: pointer;
}

.img-upload > input {
    -webkit-appearance: none;
    position: relative;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    opacity: 0;
    cursor: pointer;
}

.choose_file {
    position: absolute;
    display: inline-block;
    border-radius: 8px;
    border: #ebebeb solid 0px;
    width: 600px;
    padding: 4px 6px 4px 17px;
    font: normal 14px Myriad Pro, Verdana, Geneva, sans-serif;
    color: #7f7f7f;
    margin-top: -6px;
    background: white;
}

/* Ganti Warna Hover Table & Stripped*/

table.dataTable tbody tr:hover {
    background-color: #1c8fb3 !important;
    color: #fff;
    /* font-weight: bold; */
}

.odd {
    background-color: #dff5e7 !important;
}

.even {
    background-color: #ffffff !important;
}

/* Css Tanggal Datetimepicker */
.datepicker-orient-left {
    z-index: 10000 !important;
}

.choose_file input[type="file"] {
    -webkit-appearance: none;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    cursor: pointer;
}

.modal {
    z-index: 1501;
}

/*form styles*/
#msform {
    text-align: center;
    position: relative;
    margin-top: 30px;
}

#msform fieldset {
    background: white;
    border: 0 none;
    border-radius: 0px;
    box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.4);
    padding: 20px 30px;
    box-sizing: border-box;
    width: 100%;

    /*stacking fieldsets above each other*/
    position: relative;
}

/*Hide all except first fieldset*/
#msform fieldset:not(:first-of-type) {
    display: none;
}

/*inputs*/
#msform input,
#msform textarea {
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 0px;
    margin-bottom: 0px;
    width: 100%;
    box-sizing: border-box;
    font-family: montserrat;
    color: #2c3e50;
    font-size: 13px;
}

#msform input:focus,
#msform textarea:focus {
    -moz-box-shadow: none !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    border: 1px solid #3c8dbc;
    outline-width: 0;
    transition: All 0.5s ease-in;
    -webkit-transition: All 0.5s ease-in;
    -moz-transition: All 0.5s ease-in;
    -o-transition: All 0.5s ease-in;
}

/*buttons*/
#msform .action-button {
    width: 100px;
    background: #dd4b39;
    font-weight: bold;
    color: white;
    border: 0 none;
    border-radius: 25px;
    cursor: pointer;
    padding: 10px 5px;
    margin: 10px 5px;
}

#msform .action-button:hover,
#msform .action-button:focus {
    box-shadow: 0 0 0 2px white, 0 0 0 3px #dd4b39;
}

#msform .action-button-previous {
    width: 100px;
    background: #c5c5f1;
    font-weight: bold;
    color: white;
    border: 0 none;
    border-radius: 25px;
    cursor: pointer;
    padding: 10px 5px;
    margin: 10px 5px;
}

#msform .action-button-previous:hover,
#msform .action-button-previous:focus {
    box-shadow: 0 0 0 2px white, 0 0 0 3px #c5c5f1;
}

/*headings*/
.fs-title {
    font-size: 18px;
    text-transform: uppercase;
    color: #2c3e50;
    margin-bottom: 10px;
    letter-spacing: 2px;
    font-weight: bold;
}

.fs-subtitle {
    font-weight: normal;
    font-size: 13px;
    color: #666;
    margin-bottom: 20px;
}

/*progressbar*/
#progressbar {
    margin-bottom: 30px;
    overflow: hidden;
    /*CSS counters to number the steps*/
    counter-reset: step;
}

#progressbar li {
    list-style-type: none;
    color: black;
    text-transform: uppercase;
    font-size: 9px;
    width: 33.33%;
    float: left;
    position: relative;
    letter-spacing: 1px;
}

#progressbar li:before {
    content: counter(step);
    counter-increment: step;
    width: 24px;
    height: 24px;
    line-height: 26px;
    display: block;
    font-size: 12px;
    color: #333;
    background: white;
    border-radius: 25px;
    margin: 0 auto 10px auto;
}

/*progressbar connectors*/
#progressbar li:after {
    content: "";
    width: 100%;
    height: 2px;
    background: white;
    position: relative;
    left: -50%;
    top: 9px;
    z-index: -1;
    /*put it behind the numbers*/
}

#progressbar li:first-child:after {
    /*connector not needed before the first step*/
    content: none;
}

/*marking active/completed steps green*/
/*The number of the step and the connector before it = green*/
#progressbar li.active:before,
#progressbar li.active:after {
    background: #dd4b39;
    color: white;
}

/* Not relevant to this form */
.dme_link {
    margin-top: 30px;
    text-align: center;
}

.dme_link a {
    background: #fff;
    font-weight: bold;
    color: #dd4b39;
    border: 0 none;
    border-radius: 25px;
    cursor: pointer;
    padding: 5px 25px;
    font-size: 12px;
}

.dme_link a:hover,
.dme_link a:focus {
    background: #c5c5f1;
    text-decoration: none;
}

/* Tabel detail agar bisa scrool */
.withscroll {
    width: 100%;
    overflow-x: scroll;
    white-space: nowrap;
}

.btn-group {
    padding: 0px 9px 0px 0px !important;
}

.input-group-addon {
    text-align: right !important;
}
/*
.select2-container--default.select2-container--disabled .select2-selection--single {
    background-color: #aaaaaa !important;
} */

/*Select2 ReadOnly Start*/
select[readonly].select2-hidden-accessible + .select2-container {
    border-radius: 4px !important;
    background-color: #eee !important;
    pointer-events: none;
    touch-action: none;
}
select[readonly].select2-hidden-accessible + .select2-container:hover {
    border-color: #eee !important;
}

select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection {
    background-color: #eee !important;
    background: #eee;
    box-shadow: none;
}

select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection__arrow,
select[readonly].select2-hidden-accessible
    + .select2-container
    .select2-selection__clear {
    display: none;
    background-color: #eee !important;
}

/*Select2 ReadOnly End*/
.setDefaultFilter + .select2-container--default .select2-selection--single {
    background-color: #b6f38f;
    font-weight: bold;
}
/* addclass 'setDefault' for first render set color in select2 */
.setDefault + .select2-container--default .select2-selection--single {
    background-color: rgb(185, 202, 230);
}

/* addclass 'setDefault' for first render set color in input */
.setDefaultInput {
    background-color: rgb(185, 202, 230);
}

/* addclass 'setDefault' for first render set color in multiple select */
.setDefaultMultiple + .select2-container--default .select2-selection--multiple {
    background-color: rgb(185, 202, 230);
}

/* addclass 'setDefault' for first render set color in select2 */
.setDefaultFilter + .select2-container--default .select2-selection--single {
    background-color: #b6f38f;
    font-weight: bold;
}

.input-group .input-group-addon {
    border-color: #d2d6de;
    background-color: #fff;
    border-right: 1px solid;
    border-right-color: #d2d6de;
}

/* Select2 Combobox */
.select2 span[role="combobox"] {
    padding-top: 5px !important;
}

/*  Class Width 100% */
.w-100 {
    width: 100% !important;
}

/*  Class Width 100% Untuk SELECT2*/
select.w-100 + span {
    width: 100% !important;
}

.head-center {
    margin-left: 2px;
    margin-right: -20px;
}

.select2-container--default
    .select2-selection--multiple
    .select2-selection__choice {
    background-color: #3c8dbc;
    border-color: #367fa9;
    padding: 1px 10px;
    color: #575757;
}

.dt-body-right {
    text-align: right;
}

.dt-body-center {
    text-align: center;
}

.dt-body-left {
    text-align: left;
}

.wizard-progress {
    list-style: none;
    list-style-image: none;
    padding: 0;
    white-space: nowrap;
}

.wizard-progress li {
    float: left;
    text-align: center;
    position: relative;
}

.wizard-progress .step-name {
    display: table-cell;
    height: 35px;
    vertical-align: top;
    text-align: center;
    width: 100%;
}

.wizard-progress .step-num {
    font-size: 10px;
    font-weight: bold;
    border: 3px solid darkgray;
    background-color: darkgray;
    border-radius: 50%;
    width: 18px;
    display: inline-block;
    margin-top: 2px;
    color: #fff;
}

.wizard-progress .step-num:after {
    content: "";
    display: block;
    background: darkgray;
    height: 1px;
    width: 130%;
    /* 130px; */
    position: absolute;
    bottom: 45px;
}

.wizard-progress li:last-of-type .step-num:after {
    display: none;
}

.step-going .step-num::after{
    background-color:#3c8dbc;
}

.wizard-progress .step-going .step-num {
    border-color: #3c8dbc;
    background-color: #3c8dbc;
}

.wizard-progress .step-going .step-name {
    font-weight: bold;
    color: #3c8dbc;
}

.step-done .step-num::after{
    background-color:#000;
}


.wizard-progress .step-done .step-num,
.wizard-progress .step-active .step-num {
    border-color: #000;
    background-color: #000;
}

.wizard-progress .step-active .step-name {
    font-weight: bold;
}

/* wizard with 2 steps */
.wizard-2-steps {
    width: 550px;
}

.wizard-2-steps li {
    margin-right: 6.9%;
    /* 6.6687%; 50px */
    width: 13%;
    margin-bottom: -21px;
}

.wizard-2-steps .step-num:after {
    left: 62%;
}

/* wizard with 3 steps */
.wizard-3-steps {
    width: 750px;
}

.wizard-3-steps li {
    margin-right: 6.9%;
    /* 6.6687%; 50px */
    width: 13%;
    margin-bottom: -21px;
}

.wizard-3-steps .step-num:after {
    left: 62%;
}

/* wizard with 5 steps */
.wizard-5-steps {
    width: 750px;
}

.wizard-5-steps li {
    margin-right: 6.9%;
    /* 6.6687%; 50px */
    width: 13%;
    margin-bottom: -21px;
}

.wizard-5-steps .step-num:after {
    left: 62%;
}

/* wizard with 6 steps */
.wizard-6-steps {
    width: 750px;
}

.wizard-6-steps li {
    float: left;
    margin-right: 5.5%;
    /* 6.6687%; 50px */
    width: 11%;
    margin-bottom: -21px;
}

.wizard-6-steps .step-num:after {
    left: 64%;
}

/* wizard with 7 steps */
.wizard-7-steps {
    width: 750px;
}

.wizard-7-steps li {
    float: left;
    margin-right: 2.5%;
    /* 6.6687%; 50px */
    width: 10%;
    margin-bottom: -21px;
}

.wizard-7-steps .step-num:after {
    left: 64%;
}

/* wizard with 8 steps */
.wizard-8-steps {
    width: 750px;
}

.wizard-8-steps li {
    float: left;
    margin-right: 2.5%;
    /* 6.6687%; 50px */
    width: 10%;
    margin-bottom: -21px;
}

.wizard-8-steps .step-num:after {
    left: 64%;
}

.cstmBorder {
    border-top: 1px solid;
    border-bottom: 1px solid;
    border-left: 1px solid;
    border-right: 1px solid;
}

.rowspan-mid {
    vertical-align: middle !important;
}

.tooltip-inner {
    max-width: 700px; /* set this to your maximum fitting width */
    width: inherit; /* will take up least amount of space */
    /* text-align: left; */
}
